/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.javacodegeeks.removewhitespacegson;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.google.gson.JsonElement;
import com.google.gson.JsonParser;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

/**
 *
 * @author omozegieaziegbe
 */
public class RemoveWhitespaceGson {

    public static void main(String[] args) {
       String filePath = "src/main/resources/authors.json";

        try {
            // Read the JSON file content
            String jsonContent = new String(Files.readAllBytes(Paths.get(filePath)));

            // Remove all whitespaces from the JSON content
            String jsonWithoutWhitespace = jsonContent.replaceAll("\\s+", "");

            // Create a Gson instance
            Gson gson = new GsonBuilder().create();

            JsonElement el = JsonParser.parseString(jsonContent);
            
            
            // Parse the modified JSON content
            AuthorObject jsonObject = gson.fromJson(el, AuthorObject.class);

            // Convert the JSON object back to a JSON string without whitespace
            String compactJson = gson.toJson(jsonObject);
            
            System.out.println(jsonContent);
            System.out.println(compactJson);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
