/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.javacodegeeks.whitespaceremovaljson;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.io.File;
import java.io.IOException;

/**
 *
 * @author omozegieaziegbe
 */
public class WhitespaceRemovalJson {

    public static void main(String[] args) {

        //Create ObjectMapper Instance
        ObjectMapper objectMapper = new ObjectMapper();

        // Get the JSON file as an InputStream
        File jsonInput = new File("src/main/resources/authors.json");
        
        try {
            //Parse JSON String
            JsonNode jsonNode = objectMapper.readTree(jsonInput); 
            
            //Convert JsonNode to Compact JSON
            String jsonOutput = objectMapper.writeValueAsString(jsonNode);
            
            // Convert JSON string to a JSON object
            Object newNode = objectMapper.readTree(jsonOutput);
            
            // Write JSON object to a file
            objectMapper.writeValue(new File("src/main/resources/output.json"), newNode); 
            
            System.out.println("Original JSON:");
            System.out.println(jsonNode.toPrettyString());

            System.out.println("Compact JSON:");
            System.out.println(jsonOutput);
            

        } catch (IOException e) {
            e.printStackTrace();
        }     

    }
}
